package dk.nsp.api

import android.content.Context
import dk.nsp.api.knowledge.ILexiconController
import dk.nsp.mingraviditet.api.BuildConfig

interface IBackendApiLayer {
    val lexiconController: ILexiconController

    companion object {
        private var instance: IBackendApiLayer? = null

        fun get(context: Context): IBackendApiLayer {
            return instance ?: when (BuildConfig.FLAVOR) {
                "mock" -> BackendApiLayerMock(context.applicationContext).apply {
                    instance = this
                }
                else -> BackendApiLayerImpl(context.applicationContext)
                    .apply {
                        instance = this
                    }
            }
        }
    }
}

fun Context.getBackendApiLayer(): IBackendApiLayer {
    return IBackendApiLayer.get(this.applicationContext)
}