package dk.nsp.api.knowledge

import dk.nsp.api.knowledge.models.ArticleCatalogueDTO
import dk.nsp.api.knowledge.models.ChecklistDTO
import dk.nsp.api.knowledge.models.ChecklistItemDTO
import dk.nsp.api.knowledge.models.LexiconCategoryDTO
import dk.nsp.shared.ResultWrapper
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Deferred

interface ILexiconController {
    fun getChecklists(scope: CoroutineScope): Deferred<ResultWrapper<List<ChecklistDTO>>>

    fun getLexiconCategories(scope: CoroutineScope): Deferred<ResultWrapper<List<LexiconCategoryDTO>>>

    fun getArticlesFor(
        scope: CoroutineScope,
        category: String
    ): Deferred<ResultWrapper<ArticleCatalogueDTO>>

    fun searchForArticles(
        scope: CoroutineScope,
        searchQuery: String
    ): Deferred<ResultWrapper<ArticleCatalogueDTO>>

    fun toggleChecklistItem(
        scope: CoroutineScope,
        checklist: ChecklistDTO,
        checklistItem: ChecklistItemDTO
    ): Deferred<ResultWrapper<ChecklistItemDTO>>

}