package dk.nsp.api.knowledge

import dk.nsp.api.knowledge.models.ArticleCatalogueDTO
import dk.nsp.api.knowledge.models.ChecklistDTO
import dk.nsp.api.knowledge.models.ChecklistItemDTO
import dk.nsp.api.knowledge.models.LexiconCategoryDTO
import retrofit2.http.GET
import retrofit2.http.PATCH
import retrofit2.http.Path
import retrofit2.http.Query

private const val lexiconEndpoint = "lexicon"

interface LexiconApi {
    @GET("$lexiconEndpoint/category")
    suspend fun getCategories(): List<LexiconCategoryDTO>

    @GET("$lexiconEndpoint/list")
    suspend fun getArticles(
        @Query("page") page: Int?,
        @Query("order-by") orderBy: String?,
        @Query("tags") tags: List<String>?,
        @Query("categories") categoryIds: List<String>?,
        @Query("query") searchTerm: String?
    ): ArticleCatalogueDTO

    @GET("configuration/check-lists/list")
    suspend fun getChecklists(): List<ChecklistDTO>

    @PATCH("configuration/check-lists/{checklistId}/items/{itemId}")
    suspend fun setChecklistItem(
        @Path("checklistId") checklistId: String,
        @Path("itemId") itemId: String,
        @Query("value") value: Boolean
    ): ChecklistItemDTO
}