@file:UseSerializers(DateTimeSerializer::class)

package dk.nsp.api.knowledge.models

import dk.nsp.api.util.converters.DateTimeSerializer
import kotlinx.serialization.Serializable
import kotlinx.serialization.UseSerializers
import org.joda.time.DateTime

@Serializable
data class ArticleDTO(
    val publicationDate: DateTime,
    val lastUpdateDate: DateTime,
    val id: String,
    val title: String,
    val content: List<ArticleContentDTO>,
    val excerpt: String,
    val categories: List<String>,
    val tags: List<String>
)

@Serializable
data class ArticleContentDTO(
    val title: String,
    val content: String
)

@Serializable
data class ArticleCatalogueDTO(
    val currentPage: Int,
    val numberOfPages: Int,
    val content: List<ArticleDTO>?
)