package dk.nsp.mingraviditet.extensions

import android.graphics.drawable.Drawable
import android.widget.ImageView
import androidx.databinding.BindingAdapter
import com.bumptech.glide.Glide

@BindingAdapter("srcUrl", "placeholder")
fun ImageView.bindSrcUrl(url: String, placeholder: Drawable?) =
    Glide.with(this).load(url).let { request ->
        if (placeholder != null) {
            request.placeholder(placeholder)
        }

        request.circleCrop()
        request.into(this)
    }