package dk.nsp.mingraviditet.ui.main.knowledge.article

import dk.nsp.domain.knowledge.ArticleContent
import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.databinding.ArticleParagraphCardRowBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView


class ArticleParagraphCardRow(private val articleContent: ArticleContent) :
    RecyclerAdapterView<ArticleParagraphCardRowBinding> {

    private var expanded = false
    override fun bindData(viewHolder: BindingViewHolder<ArticleParagraphCardRowBinding>) {
        viewHolder.binding.articleContent = articleContent

        viewHolder.binding.expandCollapseButton.setOnClickListener {
            expanded = !expanded

            if (expanded) {
                viewHolder.binding.contentBody.maxLines = Int.MAX_VALUE
                viewHolder.binding.expandCollapseButton.setText(R.string.common_cta_collapse)
            } else {
                viewHolder.binding.contentBody.maxLines = 2
                viewHolder.binding.expandCollapseButton.setText(R.string.common_cta_expand)
            }
        }
    }

    override val createHolderFunction: DelegationListAdapterInflater<ArticleParagraphCardRowBinding> =
        ArticleParagraphCardRowBinding::inflate
}