package dk.nsp.mingraviditet.ui.useradmission.onboarding

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.databinding.ViewOnboardingPageBinding

class OnboardingPageAdapter : RecyclerView.Adapter<OnboardingPageViewHolder>() {
    private val pageModels = listOf(
        OnboardingPage(
            R.string.onboarding_overview_title,
            R.string.onboarding_overview_text,
            R.drawable.onboarding_ill_01
        ),
        OnboardingPage(
            R.string.onboarding_appointments_title,
            R.string.onboarding_appointments_text,
            R.drawable.onboarding_ill_02
        ),
        OnboardingPage(
            R.string.onboarding_knowledge_title,
            R.string.onboarding_knowledge_text,
            R.drawable.onboarding_ill_03
        ),
        OnboardingPage(
            R.string.onboarding_journal_title,
            R.string.onboarding_journal_text,
            R.drawable.onboarding_ill_04
        ),
    )

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): OnboardingPageViewHolder {
        val binding = ViewOnboardingPageBinding.inflate(
            LayoutInflater.from(parent.context), parent, false
        )

        return OnboardingPageViewHolder(binding)
    }

    override fun onBindViewHolder(holder: OnboardingPageViewHolder, position: Int) {
        holder.bind(pageModels[position])
    }

    override fun getItemCount(): Int = pageModels.size

}