package dk.nsp.mingraviditet.util.extensions.bindingadapters

import android.widget.TextView
import androidx.annotation.ColorRes
import androidx.annotation.StringRes
import androidx.core.content.ContextCompat
import androidx.databinding.BindingAdapter
import dk.nsp.mingraviditet.ui.common.TextModel
import dk.nsp.shared.tryAndLog


@BindingAdapter("safeText")
fun TextView.setSafeText(@StringRes nullableStringRes: Int?) {
    tryAndLog(message = "Failed to set string resource with id: $nullableStringRes") {
        if (nullableStringRes != null && nullableStringRes != 0) {
            setText(nullableStringRes)
        }
    }
}

@BindingAdapter("safeTextColor")
fun TextView.setSafeTextColor(@ColorRes nullableTextColor: Int?) {
    tryAndLog(message = "Failed to set textColor resource with id: $nullableTextColor") {
        if (nullableTextColor != null && nullableTextColor != 0) {
            setTextColor(ContextCompat.getColor(context, nullableTextColor))
        }
    }
}

@BindingAdapter("textModel")
fun TextView.setTextModel(model: TextModel?) {
    text = model?.getString(resources)
}