package dk.nsp.domain.knowledge

import android.os.Parcelable
import dk.nsp.api.knowledge.models.LexiconCategoryDTO
import kotlinx.parcelize.Parcelize

@Parcelize
data class LexiconCategory(
    val id: String,
    val imageUrl: String,
    val name: String,
    val description: String,
    val count: Int
) : Parcelable

fun List<LexiconCategoryDTO>.toDomainModel(): List<LexiconCategory> {
    return this.map {
        LexiconCategory(it.id, it.imageUrl, it.name, it.description, it.count)
    }
}